<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>My Project: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">My Project
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacegg.html">gg</a></li><li class="navelem"><a class="el" href="classgg_1_1Application.html">Application</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle"><div class="title">gg::Application Member List</div></div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classgg_1_1Application.html">gg::Application</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Application.html#a8ec5c4ca52a13fa89a3d107fd2f8bde3">Application</a>()</td><td class="entry"><a class="el" href="classgg_1_1Application.html">gg::Application</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Application.html#a703d54482a290b37d0be1cd76311c35a">Application</a>(Application &amp;)=delete</td><td class="entry"><a class="el" href="classgg_1_1Application.html">gg::Application</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#a87ad672a9db8b804deca81b7c4e6723f">DecrementNumberOfSubscribedEvents</a>()</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Application.html#ae39054081b8d2975337d1ff454f0524c">GetInstance</a>() -&gt; Application *</td><td class="entry"><a class="el" href="classgg_1_1Application.html">gg::Application</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#a961a23b00ee141313a4c8f7a505f3cb8">GetNumberOfSubscribedEvents</a>() const -&gt; size_t</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Application.html#a0442ba14bb784d3a6995bfb195745034">GetView</a>() -&gt; sf::View</td><td class="entry"><a class="el" href="classgg_1_1Application.html">gg::Application</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Application.html#a5d273cb1c4976d3f431a05c13dfa88ae">GetWindow</a>() -&gt; std::shared_ptr&lt; sf::RenderWindow &gt;</td><td class="entry"><a class="el" href="classgg_1_1Application.html">gg::Application</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#a08d412b35e08386f265840cd3652c8fc">IEventSubscriber</a>()=default</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#ad78398900f7d14a9594e243e115e7ad0">IncrementNumberOfSubscribedEvents</a>()</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Application.html#a33bd0d684209797c83eea4980ab21ca7">operator=</a>(const Application &amp;)=delete</td><td class="entry"><a class="el" href="classgg_1_1Application.html">gg::Application</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#ac8aebcb4316a65f73f794a924e5619ee">operator==</a>(const IEventSubscriber &amp;) -&gt; bool</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#a44c244803f071939ab0822ec856903db">ResetNumberOfSubscribedEvents</a>()</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Application.html#a2db12436aa1eeac53715142fbc1e8390">Run</a>()</td><td class="entry"><a class="el" href="classgg_1_1Application.html">gg::Application</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Application.html#afb47e39bb86f7667d6642874fd251ebf">ToggleFullscreen</a>(bool)</td><td class="entry"><a class="el" href="classgg_1_1Application.html">gg::Application</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1Application.html#ae20d57caeee3df5081dad13b1554f0eb">ToggleMusic</a>(bool)</td><td class="entry"><a class="el" href="classgg_1_1Application.html">gg::Application</a></td><td class="entry"></td></tr>
  <tr class="odd"><td class="entry"><a class="el" href="classgg_1_1Application.html#addc7756b106fcdddf588b7b358656054">~Application</a>() override</td><td class="entry"><a class="el" href="classgg_1_1Application.html">gg::Application</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html#a574e684bfb29123ae250769873231cd8">~IEventSubscriber</a>()=default</td><td class="entry"><a class="el" href="classgg_1_1IEventSubscriber.html">gg::IEventSubscriber</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
